CLASS DECONSTRUC(3)

NAME
boost::signals2::deconstruct_access - Gives deconstruct access to private/protected constructors.

SYNOPSIS

// In header: <boost/signals2/deconstruct.hpp>
class deconstruct_access {
};

DESCRIPTION

Declaring deconstruct_access a friend to your class will give the deconstruct factory function access to your class' private and protected constructors. Using private constructors in conjunction with deconstruct_access can be useful to ensure postconstructible or predestructible objects are always created properly using deconstruct.